VTK: vtkInformationVariantVectorKey Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkInformationVariantVectorKey Class Reference

Key for variant vector values. More...

`#include <vtkInformationVariantVectorKey.h>`

Inheritance diagram for vtkInformationVariantVectorKey:
[legend]
Collaboration diagram for vtkInformationVariantVectorKey:
[legend]

## Public Types
typedef vtkInformationKey | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkInformationVariantVectorKey * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
| vtkInformationVariantVectorKey (const char *name, const char *location, int length=-1)
| ~vtkInformationVariantVectorKey () override
void | ShallowCopy (vtkInformation *from, vtkInformation *to) override
| Copy the entry associated with this key from one information object to another. More...
void | Print (ostream &os, vtkInformation *info) override
| Print the key's value in an information object to a stream. More...
void | Append (vtkInformation *info, const vtkVariant &value)
| Get/Set the value associated with this key in the given information object. More...
void | Set (vtkInformation *info, const vtkVariant *value, int length)
| Get/Set the value associated with this key in the given information object. More...
const vtkVariant * | Get (vtkInformation *info) const
| Get/Set the value associated with this key in the given information object. More...
const vtkVariant & | Get (vtkInformation *info, int idx) const
| Get/Set the value associated with this key in the given information object. More...
void | Get (vtkInformation *info, vtkVariant *value) const
| Get/Set the value associated with this key in the given information object. More...
int | Length (vtkInformation *info) const
| Get/Set the value associated with this key in the given information object. More...
Public Member Functions inherited from vtkInformationKey
| vtkBaseTypeMacro (vtkInformationKey, vtkObjectBase)
void | Register (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
void | UnRegister (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
const char * | GetName ()
| Get the name of the key. More...
const char * | GetLocation ()
| Get the location of the key. More...
virtual void | DeepCopy (vtkInformation *from, vtkInformation *to)
| Duplicate (new instance created) the entry associated with this key from one information object to another (new instances of any contained vtkInformation and vtkInformationVector objects are created). More...
virtual int | Has (vtkInformation *info)
| Check whether this key appears in the given information object. More...
virtual void | Remove (vtkInformation *info)
| Remove this key from the given information object. More...
virtual void | Report (vtkInformation *info, vtkGarbageCollector *collector)
| Report a reference this key has in the given information object. More...
virtual bool | NeedToExecute (vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | StoreMetaData (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | CopyDefaultInformation (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(fromInfo), vtkInformation *vtkNotUsed(toInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
| vtkInformationKey (const char *name, const char *location)
| Key instances are static data that need to be created and destroyed. More...
| ~vtkInformationKey () override
| Key instances are static data that need to be created and destroyed. More...
void | Print (vtkInformation *info)
| Print the key's value in an information object to a stream. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInformationVariantVectorKey * | SafeDownCast (vtkObjectBase *o)
static vtkInformationVariantVectorKey * | MakeKey (const char *name, const char *location, int length=-1)
| This method simply returns a new vtkInformationVariantVectorKey, given a name, a location and a required length. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
Protected Member Functions inherited from vtkInformationKey
| vtkInformationKeySetStringMacro (Name)
| vtkInformationKeySetStringMacro (Location)
void | SetAsObjectBase (vtkInformation *info, vtkObjectBase *value)
const vtkObjectBase * | GetAsObjectBase (vtkInformation *info) const
vtkObjectBase * | GetAsObjectBase (vtkInformation *info)
void | ReportAsObjectBase (vtkInformation *info, vtkGarbageCollector *collector)
void | ConstructClass (const char *)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | RequiredLength
Protected Attributes inherited from vtkInformationKey
char * | Name
char * | Location
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Key for variant vector values.

vtkInformationVariantVectorKey is used to represent keys for variant vector values in vtkInformation.h

Tests:
  vtkInformationVariantVectorKey (Tests)

Definition at line 25 of file vtkInformationVariantVectorKey.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkInformationKey vtkInformationVariantVectorKey::Superclass

Definition at line 28 of file vtkInformationVariantVectorKey.h.

## Constructor & Destructor Documentation

## ◆ vtkInformationVariantVectorKey()

vtkInformationVariantVectorKey::vtkInformationVariantVectorKey | ( | const char * | name,
|  | const char * | location,
|  | int | length = `-1`
| ) |  |

## ◆ ~vtkInformationVariantVectorKey()

vtkInformationVariantVectorKey::~vtkInformationVariantVectorKey | ( |  | ) |
| override

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkInformationVariantVectorKey::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkInformationVariantVectorKey::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkInformationVariantVectorKey* vtkInformationVariantVectorKey::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkInformationVariantVectorKey::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkInformationVariantVectorKey* vtkInformationVariantVectorKey::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkInformationVariantVectorKey::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkInformationKey.

## ◆ MakeKey()

static vtkInformationVariantVectorKey* vtkInformationVariantVectorKey::MakeKey | ( | const char * | name,
|  | const char * | location,
|  | int | length = `-1`
| ) |  |
| inlinestatic

This method simply returns a new vtkInformationVariantVectorKey, given a name, a location and a required length.

This method is provided for wrappers. Use the constructor directly from C++ instead.

Definition at line 39 of file vtkInformationVariantVectorKey.h.

## ◆ Append()

void vtkInformationVariantVectorKey::Append | ( | vtkInformation * | info,
|  | const vtkVariant & | value
| ) |  |

Get/Set the value associated with this key in the given information object.

## ◆ Set()

void vtkInformationVariantVectorKey::Set | ( | vtkInformation * | info,
|  | const vtkVariant * | value,
|  | int | length
| ) |  |

Get/Set the value associated with this key in the given information object.

## ◆ Get() [1/3]

const vtkVariant* vtkInformationVariantVectorKey::Get | ( | vtkInformation * | info | ) | const

Get/Set the value associated with this key in the given information object.

## ◆ Get() [2/3]

const vtkVariant& vtkInformationVariantVectorKey::Get | ( | vtkInformation * | info,
|  | int | idx
| ) |  | const

Get/Set the value associated with this key in the given information object.

## ◆ Get() [3/3]

void vtkInformationVariantVectorKey::Get | ( | vtkInformation * | info,
|  | vtkVariant * | value
| ) |  | const

Get/Set the value associated with this key in the given information object.

## ◆ Length()

int vtkInformationVariantVectorKey::Length | ( | vtkInformation * | info | ) | const

Get/Set the value associated with this key in the given information object.

## ◆ ShallowCopy()

void vtkInformationVariantVectorKey::ShallowCopy | ( | vtkInformation * | from,
|  | vtkInformation * | to
| ) |  |
| overridevirtual

Copy the entry associated with this key from one information object to another.

If there is no entry in the first information object for this key, the value is removed from the second.

Implements vtkInformationKey.

## ◆ Print()

void vtkInformationVariantVectorKey::Print | ( | ostream & | os,
|  | vtkInformation * | info
| ) |  |
| overridevirtual

Print the key's value in an information object to a stream.

Reimplemented from vtkInformationKey.

## Member Data Documentation

## ◆ RequiredLength

int vtkInformationVariantVectorKey::RequiredLength
| protected

Definition at line 72 of file vtkInformationVariantVectorKey.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkInformationVariantVectorKey.h